CVE-2002-2044
CVSS4.3
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:11
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in x_stat_admin.php in x-stat 2.3 and earlier allows remote attackers to inject arbitrary web script or HTML via a parameter to the phpinfo action.


[CNNVD]X-Stat存在跨站脚本执行漏洞(CNNVD-200212-693)

        
        X-Stat是一款PHP语言编写免费的WEB通信分析程序,可以运行在Unix和Linux操作系统下,也可运行在Microsoft Windows操作系统平台下。
        X-Stat在脚本过滤实现上不充分,存在跨站脚本可执行而导致目标用户泄露基于COOKIE认证的敏感信息。
        X-Stat中的x_stat_admin.php脚本对URL参数没有充分过滤,可导致恶意用户建立包含恶意脚本代码的连接,当此连接被WEB用户点击浏览时,脚本代码在WEB用户的浏览器中执行。
        成功利用此漏洞可以导致攻击者获得WEB用户的基于COOKIE认证的敏感信息。
        

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:xqus:x-stat:2.2
cpe:/a:xqus:x-stat:2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2044
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2044
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-693
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4281
(UNKNOWN)  BID  4281
http://www.iss.net/security_center/static/8468.php
(UNKNOWN)  XF  xstat-admin-php-css(8468)
http://www.ifrance.com/kitetoua/tuto/x_holes.txt
(VENDOR_ADVISORY)  MISC  http://www.ifrance.com/kitetoua/tuto/x_holes.txt
http://securitytracker.com/id?1003827
(UNKNOWN)  SECTRACK  1003827
http://seclists.org/lists/vuln-dev/2002/Mar/0156.html
(UNKNOWN)  VULN-DEV  20020313 X_holes

- 漏洞信息

X-Stat存在跨站脚本执行漏洞
中危 输入验证
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        X-Stat是一款PHP语言编写免费的WEB通信分析程序,可以运行在Unix和Linux操作系统下,也可运行在Microsoft Windows操作系统平台下。
        X-Stat在脚本过滤实现上不充分,存在跨站脚本可执行而导致目标用户泄露基于COOKIE认证的敏感信息。
        X-Stat中的x_stat_admin.php脚本对URL参数没有充分过滤,可导致恶意用户建立包含恶意脚本代码的连接,当此连接被WEB用户点击浏览时,脚本代码在WEB用户的浏览器中执行。
        成功利用此漏洞可以导致攻击者获得WEB用户的基于COOKIE认证的敏感信息。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 对x_stat_admin.php脚本进行javascript脚本代码过滤。
        厂商补丁:
        Xqus
        ----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://xqus.com/x-stat/

- 漏洞信息

59493
x-stat x_stat_admin.php phpinfo Action XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2002-03-13 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站